import request from '@/utils/request'

// 分页查询货物信息列表
export function pageListCargo(query) {
  return request({
    url: '/jxc/cargo/pageList',
    method: 'get',
    params: query
  })
}

// 查询货物信息列表
export function listCargo(query) {
  return request({
    url: '/jxc/cargo/list',
    method: 'get',
    params: query
  })
}

export function custCargoList(query) {
  return request({
    url: '/jxc/cargo/custCargoList',
    method: 'get',
    params: query
  })
}

// 查询货物信息详细
export function getCargo(id) {
  return request({
    url: '/jxc/cargo/' + id,
    method: 'get'
  })
}

// 新增货物信息
export function addCargo(data) {
  return request({
    url: '/jxc/cargo',
    method: 'post',
    data: data
  })
}

// 修改货物信息
export function updateCargo(data) {
  return request({
    url: '/jxc/cargo',
    method: 'put',
    data: data
  })
}

// 删除货物信息
export function delCargo(id) {
  return request({
    url: '/jxc/cargo/' + id,
    method: 'delete'
  })
}

// 导出货物信息
export function exportCargo(query) {
  return request({
    url: '/jxc/cargo/' + 'export',
    method: 'post',
    params: query
  })
}
